Package de.willuhn.jameica.hbci.rmi

# Interface SammelTransfer

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `Terminable`, `de.willuhn.datasource.rmi.Transactionable`

All Known Subinterfaces:
  `SammelLastschrift`, `SammelUeberweisung`

All Known Implementing Classes:
  `AbstractSammelTransferImpl`, `SammelLastschriftImpl`, `SammelUeberweisungImpl`

public interface SammelTransfer extends HibiscusDBObject, Terminable
Interface fuer Sammellastschriften und -ueberweisungen.

## Method Summary

Modifier and Type
Method
Description
`SammelTransferBuchung`
`createBuchung()`
Erzeugt eine neue Buchung auf dem Sammeltransfer.
`String`
`getBezeichnung()`
Liefert eine Bezeichnung des Transfers.
`de.willuhn.datasource.rmi.DBIterator`
`getBuchungen()`
Liefert eine Liste der Buchungen fuer diesen Transfer.
`SammelTransferBuchung[]`
`getBuchungenAsArray()`
Liefert die Buchungen des Sammeltransfers als Array.
`Konto`
`getKonto()`
Liefert das Konto, ueber das der Transfer gebucht wird.
`double`
`getSumme()`
Liefert die Summe der enthaltenen Buchungen.
`boolean`
`hasWarnings()`
Prueft, ob bei der Ausfuehrung des Auftrages Warnungen auftraten.
`void`
`setBezeichnung(String bezeichnung)`
Speichert die Bezeichnung.
`void`
`setKonto(Konto konto)`
Speichert das Konto, ueber das der Transfer gebucht werden soll.
`void`
`setWarning(boolean b)`
Legt fest, ob bei der Ausfuehrung Warnungen auftraten.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getBuchungen

de.willuhn.datasource.rmi.DBIterator getBuchungen() throws RemoteException
Liefert eine Liste der Buchungen fuer diesen Transfer. Das sind Objekte des Typs `SammelTransferBuchung`.

Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`

### getBuchungenAsArray

SammelTransferBuchung[] getBuchungenAsArray() throws RemoteException
Liefert die Buchungen des Sammeltransfers als Array. Convenience-Funktion fuer Velocity (fuer den Export). Das versteht leider nur Arrays/List, kann also nicht mit einem DBIterator umgehen.

Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`

### getSumme

double getSumme() throws RemoteException
Liefert die Summe der enthaltenen Buchungen.

Returns:
  Summe der enthaltenen Buchungen.
Throws:
  `RemoteException`

### getKonto

Konto getKonto() throws RemoteException
Liefert das Konto, ueber das der Transfer gebucht wird.

Returns:
  Konto.
Throws:
  `RemoteException`

### setKonto

void setKonto(Konto konto) throws RemoteException
Speichert das Konto, ueber das der Transfer gebucht werden soll.

Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`

### getBezeichnung

String getBezeichnung() throws RemoteException
Liefert eine Bezeichnung des Transfers.

Returns:
  Bezeichnung.
Throws:
  `RemoteException`

### setBezeichnung

void setBezeichnung(String bezeichnung) throws RemoteException
Speichert die Bezeichnung.

Parameters:
  `bezeichnung` -
Throws:
  `RemoteException`

### createBuchung

SammelTransferBuchung createBuchung() throws RemoteException, de.willuhn.util.ApplicationException
Erzeugt eine neue Buchung auf dem Sammeltransfer.

Returns:
  die neu erzeugte Buchung.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### hasWarnings

boolean hasWarnings() throws RemoteException
Prueft, ob bei der Ausfuehrung des Auftrages Warnungen auftraten.

Returns:
  true, wenn Warnungen auftraten.
Throws:
  `RemoteException`

### setWarning

void setWarning(boolean b) throws RemoteException
Legt fest, ob bei der Ausfuehrung Warnungen auftraten.

Parameters:
  `b` - true, wenn Warnungen auftraten.
Throws:
  `RemoteException`